(*-----------------------------ConvertWorks.pas-------------------------
 V1.0.242 - 08.07.2002 current release
------------------------------------------------------------------------*)
unit ConvertWorks;

interface

uses SystemWorks;

function SpecialFolderToCSIDL(const SpecialFolder: TDWSpecialFolder): Word;

implementation

function SpecialFolderToCSIDL(const SpecialFolder: TDWSpecialFolder): Word;
begin
   case SpecialFolder of
   dwspfAdminTools:         result:= $0030;
   dwspfAppData:            result:= $001A;
   dwspfRecycleBin:         result:= $000A;
   dwspfCommonAdminTools:   result:= $002F;
   dwspfCommonAppData:      result:= $0023;
   dwspfCommonDesktop:      result:= $0019;
   dwspfCommonDocuments:    result:= $002E;
   dwspfCommonFavorites:    result:= $001F;
   dwspfCommonMusic:        result:= $0035;
   dwspfCommonPictures:     result:= $0036;
   dwspfCommonProgramFiles: result:= $002B;
   dwspfCommonPrograms:     result:= $0017;
   dwspfCommonStartmenu:    result:= $0016;
   dwspfCommonStartup:      result:= $0018;
   dwspfCommonTemplates:    result:= $002D;
   dwspfCommonVideo:        result:= $0037;  
   dwspfControls:           result:= $0003;
   dwspfCookies:            result:= $0021;
   dwspfDesktop:            result:= $0000;
   dwspfDrives:             result:= $0011;
   dwspfFavorites:          result:= $0006;
   dwspfFonts:              result:= $0014;
   dwspfHistory:            result:= $0022;
   dwspfInternetCache:      result:= $0020;
   dwspfLocalAppData:       result:= $001C;
   dwspfMyMusic:            result:= $000D;
   dwspfMyPictures:         result:= $0027;
   dwspfMyVideo:            result:= $000E;
   dwspfNetHood:            result:= $0013;
   dwspfNetwork:            result:= $0012;
   dwspfPersonal:           result:= $0005;
   dwspfPrinters:           result:= $0004;
   dwspfPrintHood:          result:= $001B;
   dwspfProfile:            result:= $0028;
   dwspfProgramFiles:       result:= $0026;
   dwspfProgramFilesX86:    result:= $002A;
   dwspfPrograms:           result:= $0002;
   dwspfRecent:             result:= $0008;
   dwspfSendTo:             result:= $0009;
   dwspfStartMenu:          result:= $000B;
   dwspfStartUp:            result:= $0007;
   dwspfSystem:             result:= $0025;
   dwspfSystemX86:          result:= $0029;
   dwspfTemplates:          result:= $0015;
   dwspfWindows:            result:= $0024;
   else                     result:= $0026; {dwspfProgramFiles}
   end;
end;

end.
