(*---------------------------------HTMWorks.pas--------------------------
 V1.0.7   - 10.03.2001 current release / first release
------------------------------------------------------------------------*)

unit HTMWorks;

interface

uses StringWorks;

type
  HTMLstr = string[8];

const htAnz = 102;

  htTEXT: array[0..htAnz] of char = (
    '&','<','>', ' ', '', '', '', '', '', '', '', '', '', '', '', '',
    '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '',
    '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '',
    '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '',
    '', '', '', '', '', '', '|', '', '', '', '', '', '', '', '', '', '', '',
    '', '', '', '', '', '', '', '', '', '', '', '', '', '"', '');


  htHTML: array[0..htAnz] of HTMLstr = (
    '&amp;','&gt;','&lt;','&nbsp;', '&copy;', '&reg;', '&#153;',
    '&laquo;', '&raquo;', '&iexcl;', '&iquest;', '&Agrave;', '&agrave;', '&Aacute;',
    '&aacute;', '&Acirc;', '&acirc;', '&Atilde;', '&atilde;', '&Auml;', '&auml;',
    '&Aring;', '&aring;', '&AElig;', '&aelig;', '&Ccedil;', '&ccedil;', '&ETH;',
    '&eth;', '&Egrave;', '&egrave;', '&Eacute;', '&eacute;', '&Ecirc;', '&ecirc;',
    '&Euml;', '&euml;', '&Igrave;', '&igrave;', '&Iacute;', '&iacute;', '&Icirc;',
    '&icirc;', '&Iuml;', '&iuml;', '&Ntilde;', '&ntilde;', '&Ograve;', '&ograve;',
    '&Oacute;', '&oacute;', '&Ocirc;', '&ocirc;', '&Otilde;', '&otilde;', '&Ouml;',
    '&ouml;', '&Oslash;', '&oslash;', '&Ugrave;', '&ugrave;', '&Uacute;', '&uacute;',
    '&Ucirc;', '&ucirc;', '&Uuml;', '&uuml;', '&Yacute;', '&yacute;', '&yuml;',
    '&THORN;', '&thorn;', '&szlig;', '&sect;', '&para;', '&micro;', '&brvbar;',
    '&plusmn;', '&middot;', '&uml;', '&cedil;', '&ordf;', '&ordm;', '&not;', '&shy;',
    '&macr;', '&def;', '&sup1;', '&sup2;', '&sup3;', '&frac14;', '&frac12;',
    '&frac34;', '&times;', '&divide;', '&cent;', '&pound;', '&curren;', '&yen;',
    '&euro;', '&ldquo;', '&quot;', '&rdquo;');

function CharToHTML(Chr: Char): string;
function StringToHTML(Str: String): String;

implementation

function CharToHTML(Chr: Char): string;
var i: integer;
begin
  Result := Chr;
  for i := 0 to High(htTEXT) do
    if htTEXT[i] = Chr then Result := htHTML[i];
end;

function StringToHTML(Str: String): String;
var
   I: Integer;
   Chr: Char;
   ReplStr: String;
begin
   for I:= 1 to StringLen(Str) do begin
      Chr:= Str[I];
      ReplStr:= CharToHTML(Chr);
      result:= result + ReplStr;
   end;
end;

end.
